- Main
- Tutorials
- Library
- Samples

Modules | Functions
RTD
Library

## Modules
| RTD_SENSOR_TYPE

## Functions
IOTHINX_ERR | ioThinx_RTD_GetValues (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_RTD_GetMinValues (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_RTD_GetMaxValues (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_RTD_ResetMins (uint32_t slot, uint32_t resets)
IOTHINX_ERR | ioThinx_RTD_ResetMaxs (uint32_t slot, uint32_t resets)
IOTHINX_ERR | ioThinx_RTD_GetStatuss (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])
IOTHINX_ERR | ioThinx_RTD_SetCalibrations (uint32_t slot, uint8_t start, uint8_t count, float buf[])
IOTHINX_ERR | ioThinx_RTD_ResetCalibrations (uint32_t slot, uint8_t start, uint8_t count)
IOTHINX_ERR | ioThinx_RTD_Config_GetSensorTypes (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])
IOTHINX_ERR | ioThinx_RTD_Config_SetSensorTypes (uint32_t slot, uint8_t start, uint8_t count, uint8_t buf[])

## Detailed Description

Sample Code:
rtd.c
rtd_calibration.c

## Function Documentation

IOTHINX_ERR ioThinx_RTD_GetValues | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the RTD value for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_GetMinValues | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the minimal RTD value for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_GetMaxValues | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the maximal RTD value for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_ResetMins | ( | uint32_t | slot,
|  | uint32_t | resets
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | resets | Stores the minimal value reset flags of the contiguous channels (0: ignore, 1: reset); each bit holds one channel's flag. The bit 0 represents value of the channel 0 and so on.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

Note
  This API only reset the minimal value, reset is setting the value to be current value.

IOTHINX_ERR ioThinx_RTD_ResetMaxs | ( | uint32_t | slot,
|  | uint32_t | resets
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | resets | Stores the maximal value reset flags of the contiguous channels (0: ignore, 1: reset); each bit holds one channel's flag. The bit 0 represents value of the channel 0 and so on.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

Note
  This API only reset the maximal value, reset is setting the value to be current value.

IOTHINX_ERR ioThinx_RTD_GetStatuss | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the RTD status for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_SetCalibrations | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | float | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [in] | buf | An array that stores the current temperatures for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_ResetCalibrations | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be reset.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_Config_GetSensorTypes | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [out] | buf | An array that stores the RTD type for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.

IOTHINX_ERR ioThinx_RTD_Config_SetSensorTypes | ( | uint32_t | slot,
|  | uint8_t | start,
|  | uint8_t | count,
|  | uint8_t | buf[]
| ) |  |

Parameters

  [in] | slot | Slot number of the I/O module.
  [in] | start | Specifies the start channel.
  [in] | count | The number of channels to be get.
  [in] | buf | An array that stores the RTD type for the contiguous channels. buf[0] represents the value of the start channel.

Returns
  IOTHINX_ERR_OK if everything is ok. Otherwise, refer to the IOTHINX_ERR.